<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_BAIRROS == 1) {

    class SenhasController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'Senhas'),
            ));
        }

        public function actionCreate() {
            $model = new Senhas;


            if (isset($_POST['Senhas'])) {
                $model->setAttributes($_POST['Senhas']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->PWD_IDSENHA));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'Senhas');


            if (isset($_POST['Senhas'])) {
                $model->setAttributes($_POST['Senhas']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->PWD_IDSENHA));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'Senhas')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new Senhas('search');
            $model->unsetAttributes();

            if (isset($_GET['Senhas']))
                $model->setAttributes($_GET['Senhas']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

    }

}